#
#
# $Id: session.rb,v 1.5 2003/12/06 22:19:54 Yuukis Exp $
#
#

module Session
	SLEEP_TIME = 0.5

	module Profile
		def Profile.read(fn)
			return(false) unless File.exist?(fn)

			var = {}
			IO.readlines(fn).each {|line|
				a = line.split("=")
				key = a.shift
				value = a.to_s.chomp
				var[key]= value
			}

			return(false) if var == {}

			return(var)
		end
	
		def Profile.write(fn, var)
			str = ''
			var.each {|key, val| str << key + '=' + val + "\n" }
			fh = open(fn, 'w')
			fh.write str
			fh.close
		end
	end

	def Session.read(fn)
		return(false) unless File.exist?(fn)

		array = []
		IO.readlines(fn).each {|x|
			a = x.split(' ')
			board = a.shift
			type = a.shift
			dat = a.shift
			title = a.join(' ')
			array << [board, type, dat, title]
		}
		return(array)
	end

	def Session.write(fn, array)
		str = ''
		array.each {|x|
			str << "#{x[0]} #{x[1]} #{x[2]} #{x[3]}\n"
		}
		fh = open(fn, 'w')
		fh.write str
		fh.close
	end
end
